source("subsample.R")
source("stochastic_simulate1_ctsmr.R")
source("TiThTe.R")
source("analyzeFit.R")
source("plotTSXAxis.R")
source("setpar.R")
##
library(ctsmr)

## Read the data into a data.frame
X <- read.csv("inputPRBS1.csv",sep=";",header=TRUE)
X$timedate <- as.POSIXct("2009-02-05 14:26:00)", tz="GMT") + X$t * 3600

## Estimate
fitTiThTe <- TiThTe(X)
## Analyze the results
analyzeFit(fitTiThTe)

## Generate stochastic simulations
nsim <- 10
Lsim <- stochastic_simulate1_ctsmr(fitTiThTe, nsim=nsim, nsub=0)

plot(X$t, X$yTi, type="l")
LsimCtsmrEstimated <- lapply(1:nsim, function(i){
    lines(Lsim[[i]]$t, Lsim[[i]]$output$y, type='l', col=i)
})
